function loadAllImages()
  bg = love.graphics.newImage("graphics/purplebg2.png")
  bg2 = love.graphics.newImage("graphics/particles.png")
  shopbg = love.graphics.newImage("graphics/shop_layout.png")
  asteroid = love.graphics.newImage("graphics/block.jpg")
  gun1icon = love.graphics.newImage("graphics/gun1icon2.png")
  mine1icon = love.graphics.newImage("graphics/mine1icon2.png")
  turret1icon = love.graphics.newImage("graphics/turret1icon2.png")
  turret2icon = love.graphics.newImage("graphics/turret2icon2.png")
  turret3icon = love.graphics.newImage("graphics/turret3icon2.png")
  turret4icon = love.graphics.newImage("graphics/turret4icon2.png")
  turret1sprite = love.graphics.newImage("graphics/turret1sprite.png")
  turret2sprite = love.graphics.newImage("graphics/turret2sprite.png")
  turret3sprite = love.graphics.newImage("graphics/turret3sprite.png")
  turret4sprite = love.graphics.newImage("graphics/turret4sprite.png")
  msle1icon = love.graphics.newImage("graphics/msle1icon2.png")
  wall1icon = love.graphics.newImage("graphics/wall1icon.png")
  wall2icon = love.graphics.newImage("graphics/wall2icon.png")
  smokeSprites = {}
  smokeSprites[1] = love.graphics.newImage("graphics/smoke01.png")
  smokeSprites[2] = love.graphics.newImage("graphics/smoke02.png")
  smokeSprites[3] = love.graphics.newImage("graphics/smoke03.png")
  smokeSprites[4] = love.graphics.newImage("graphics/smoke04.png")
  exp = {}
  exp[1] = love.graphics.newImage("graphics/explo01.png")
  exp[2] = love.graphics.newImage("graphics/explo02.png")
  exp[3] = love.graphics.newImage("graphics/explo03.png")
  exp[4] = love.graphics.newImage("graphics/explo04.png")
  exp[5] = love.graphics.newImage("graphics/explo05.png")
  exp[6] = love.graphics.newImage("graphics/explo06.png")
  exp[7] = love.graphics.newImage("graphics/explo07.png")
  exp[8] = love.graphics.newImage("graphics/explo08.png")
  exp[9] = love.graphics.newImage("graphics/explo09.png")
  exp[10] = love.graphics.newImage("graphics/explo10.png")
  exp[11] = love.graphics.newImage("graphics/explo11.png")
  bigexp = {}
  bigexp[1] = love.graphics.newImage("graphics/bigexplo01.png")
  bigexp[2] = love.graphics.newImage("graphics/bigexplo02.png")
  bigexp[3] = love.graphics.newImage("graphics/bigexplo03.png")
  bigexp[4] = love.graphics.newImage("graphics/bigexplo04.png")
  bigexp[5] = love.graphics.newImage("graphics/bigexplo05.png")
  bigexp[6] = love.graphics.newImage("graphics/bigexplo06.png")
  bigexp[7] = love.graphics.newImage("graphics/bigexplo07.png")
  bigexp[8] = love.graphics.newImage("graphics/bigexplo08.png")
  bigexp[9] = love.graphics.newImage("graphics/bigexplo09.png")
  bigexp[10] = love.graphics.newImage("graphics/bigexplo10.png")
  bigexp[11] = love.graphics.newImage("graphics/bigexplo11.png")
  bigexp[12] = love.graphics.newImage("graphics/bigexplo12.png")
  bigexp[13] = love.graphics.newImage("graphics/bigexplo13.png")
  bigexp[14] = love.graphics.newImage("graphics/bigexplo14.png")
  bigexp[15] = love.graphics.newImage("graphics/bigexplo15.png")
  bigexp[16] = love.graphics.newImage("graphics/bigexplo16.png")
  bigexp[17] = love.graphics.newImage("graphics/bigexplo17.png")
  bigexp[18] = love.graphics.newImage("graphics/bigexplo18.png")
  bigexp[19] = love.graphics.newImage("graphics/bigexplo19.png")
  bigexp[20] = love.graphics.newImage("graphics/bigexplo20.png")
  bigexp[21] = love.graphics.newImage("graphics/bigexplo21.png")
  bigexp[22] = love.graphics.newImage("graphics/bigexplo22.png")
  bigexp[23] = love.graphics.newImage("graphics/bigexplo23.png")
  bigexp[24] = love.graphics.newImage("graphics/bigexplo24.png")
  bigexp[25] = love.graphics.newImage("graphics/bigexplo25.png")
  bigexp[26] = love.graphics.newImage("graphics/bigexplo26.png")
  bigexp[27] = love.graphics.newImage("graphics/bigexplo27.png")
  bigexp[28] = love.graphics.newImage("graphics/bigexplo28.png")
  bigexp[29] = love.graphics.newImage("graphics/bigexplo29.png")
  bigexp[30] = love.graphics.newImage("graphics/bigexplo30.png")
  bigexp[31] = love.graphics.newImage("graphics/bigexplo31.png")
  bigexp[32] = love.graphics.newImage("graphics/bigexplo32.png")
  bigexp[33] = love.graphics.newImage("graphics/bigexplo33.png")
  bigexp[34] = love.graphics.newImage("graphics/bigexplo34.png")
  bigexp[35] = love.graphics.newImage("graphics/bigexplo35.png")
  bigexp[36] = love.graphics.newImage("graphics/bigexplo36.png")
  bigexp[37] = love.graphics.newImage("graphics/bigexplo37.png")
  bigexp[38] = love.graphics.newImage("graphics/bigexplo38.png")
  bigexp[39] = love.graphics.newImage("graphics/bigexplo39.png")
  bigexp[40] = love.graphics.newImage("graphics/bigexplo40.png")
  bigexp[41] = love.graphics.newImage("graphics/bigexplo41.png")
  bigexp[42] = love.graphics.newImage("graphics/bigexplo42.png")
  bigexp[43] = love.graphics.newImage("graphics/bigexplo43.png")
  bigexp[44] = love.graphics.newImage("graphics/bigexplo44.png")
  bigexp[45] = love.graphics.newImage("graphics/bigexplo45.png")
  bigexp[46] = love.graphics.newImage("graphics/bigexplo46.png")
  bigexp[47] = love.graphics.newImage("graphics/bigexplo47.png")
  bigexp[48] = love.graphics.newImage("graphics/bigexplo48.png")
  mainmenutitle = love.graphics.newImage("graphics/title.png")
  menuGif1_1_norm = love.graphics.newImage("graphics/menu1_1_norm.png")
  menuGif1_1_high = love.graphics.newImage("graphics/menu1_1_high.png")
  menuGif1_2_norm = love.graphics.newImage("graphics/menu1_2_norm.png")
  menuGif1_2_high = love.graphics.newImage("graphics/menu1_2_high.png")
  menuGif1_3_norm = love.graphics.newImage("graphics/menu1_3_norm.png")
  menuGif1_3_high = love.graphics.newImage("graphics/menu1_3_high.png")
  shopArrowLeftHighlite = love.graphics.newImage("graphics/shop_arrow_left_highlite.png")
  shopArrowRightHighlite = love.graphics.newImage("graphics/shop_arrow_right_highlite.png")
  shopBuyHighlite = love.graphics.newImage("graphics/shop_buy_highlite.png")
  shopInvHighlite = love.graphics.newImage("graphics/shop_inv_highlite.png")
end
